<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class supports ADSL Plans
 *
 * @package    OSB
 * @subpackage ADSL
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Model_ADSL_Plan extends ORMOSB {
	// Relationships
	// @todo This model should probably be joined with product_plugin_adsl
	protected $_belongs_to = array(
		'adsl_supplier_plan'=>array(),
	);

	protected $_display_filters = array(
		'extra_down_peak'=>array(
			array('Tax::add',array(':value')),
			array('Currency::display',array(':value')),
		),
		'extra_down_offpeak'=>array(
			array('Tax::add',array(':value')),
			array('Currency::display',array(':value')),
		),
		'extra_up_peak'=>array(
			array('Tax::add',array(':value')),
			array('Currency::display',array(':value')),
		),
		'extra_up_offpeak'=>array(
			array('Tax::add',array(':value')),
			array('Currency::display',array(':value')),
		),
	);
}
?>
